# ColocationTelemetry

ColocationTelemetry service endpoints

## GET /v3/telemetry/colocation/{colocationId}/network

> Gets the network telemetry for a given colocation on hourly basis (default = last 24 hours)

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"ColocationTelemetry","description":"ColocationTelemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocationNetworkTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency (hour by default)","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ColocationNetworkDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"ColocationNetworkDataTelemetry":{"type":"object","required":["timestamp","networkIngress","networkEgress"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"networkIngress":{"type":"integer","format":"integer","description":"The network's ingress in bytes","readOnly":true},"networkEgress":{"type":"integer","format":"integer","description":"The network's egress in bytes","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/colocation/{colocationId}/network":{"get":{"tags":["ColocationTelemetry"],"summary":"Gets the network telemetry for a given colocation on hourly basis (default = last 24 hours)","operationId":"getTelemetryColocationNetworks","parameters":[{"name":"colocationId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"startTime","in":"query","description":"Start unix timestamp","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"End unix timestamp","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocationNetworkTelemetry"}}}}},"404":{"description":"Error Colocation not found"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/colocation/powerUsage

> Get the history list of power usage for all colocation

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"ColocationTelemetry","description":"ColocationTelemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocationPDUHistoryTelemetry":{"type":"object","required":["unit","data"],"properties":{"unit":{"type":"string","format":"","description":"Unit of data frequency, which is always `null` in this endpoint. This property is there\nfor consistency across all telemetry endpoints. It's `null` because the data is not aggregated","readOnly":true},"data":{"type":"array","items":{"$ref":"#/components/schemas/ColocationPDUHistoryDataTelemetry"},"description":"Contains the data object","readOnly":true}},"additionalProperties":false},"ColocationPDUHistoryDataTelemetry":{"type":"object","required":["timestamp","amps","volts","kwh","powerMeter"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"amps":{"type":"number","format":"float","description":"The value of amps at that time","readOnly":true},"volts":{"type":"number","format":"float","description":"The value of volts at that time","readOnly":true},"kwh":{"type":"number","format":"float","description":"The value of kwh at that time","readOnly":true},"powerMeter":{"type":"integer","format":"integer","description":"The value of power meter at that time","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/colocation/powerUsage":{"get":{"tags":["ColocationTelemetry"],"summary":"Get the history list of power usage for all colocation","operationId":"getTelemetryColocationPowerUsages","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocationPDUHistoryTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/colocation/powerUsage/current

> Get the list of all colocation current power usage

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"ColocationTelemetry","description":"ColocationTelemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocationPDUTelemetry":{"type":"object","required":["id","name","kwh"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of the colocation service","readOnly":true},"name":{"type":"string","format":"","description":"The name of the colocation service","readOnly":true},"kwh":{"type":"integer","format":"integer","description":"Current month kilo watts per hour","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/colocation/powerUsage/current":{"get":{"tags":["ColocationTelemetry"],"summary":"Get the list of all colocation current power usage","operationId":"getTelemetryColocationPowerUsageCurrents","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocationPDUTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## Get the history list of power usage for a colocation and pdu

> Use \[\`GET /v3/telemetry/pdu/{pduId}\`]\(#/PduTelemetryController/getTelemetryPdu) instead

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"ColocationTelemetry","description":"ColocationTelemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocationPDUHistoryDataTelemetry":{"type":"object","required":["timestamp","amps","volts","kwh","powerMeter"],"properties":{"timestamp":{"type":"integer","format":"integer","description":"The time at which the last update occurred","readOnly":true},"amps":{"type":"number","format":"float","description":"The value of amps at that time","readOnly":true},"volts":{"type":"number","format":"float","description":"The value of volts at that time","readOnly":true},"kwh":{"type":"number","format":"float","description":"The value of kwh at that time","readOnly":true},"powerMeter":{"type":"integer","format":"integer","description":"The value of power meter at that time","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/colocation/{colocationId}/pdu/{pduId}":{"get":{"deprecated":true,"tags":["ColocationTelemetry"],"summary":"Get the history list of power usage for a colocation and pdu","description":"Use [`GET /v3/telemetry/pdu/{pduId}`](#/PduTelemetryController/getTelemetryPdu) instead","operationId":"getTelemetryColocationPdu","parameters":[{"name":"startTime","in":"query","description":"Unix timestamp. Filter from time, default value is -1 day","schema":{"type":"integer"}},{"name":"endTime","in":"query","description":"Unix timestamp. Filter to time, default value is now","schema":{"type":"integer"}},{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}},{"name":"colocationId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"pduId","in":"path","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocationPDUHistoryDataTelemetry"}}}}},"400":{"description":"Bad Request"},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/telemetry/colocation/overuse/current

> List of overuse host

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"ColocationTelemetry","description":"ColocationTelemetry service endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"ColocationOveruseTelemetry":{"type":"object","required":["coloId","coloName","orderedBandwidth","usedBandwidth"],"properties":{"coloId":{"type":"integer","format":"integer","description":"The ID of the colocation","readOnly":true},"coloName":{"type":"string","format":"","description":"The name of the colocation","readOnly":true},"orderedBandwidth":{"type":"number","format":"float","description":"Allowed bandwidth of the host","readOnly":true},"usedBandwidth":{"type":"number","format":"float","description":"Used bandwidth of the host","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/telemetry/colocation/overuse/current":{"get":{"tags":["ColocationTelemetry"],"summary":"List of overuse host","operationId":"getTelemetryColocationOveruseCurrents","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ColocationOveruseTelemetry"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/colocationtelemetry-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
